%define major 2
%define libname %mklibname zipios %{major}
%define develname %mklibname zipios -d

Name:           zipios
Version:        2.2.5.0
Release:        %mkrel 1
License:        LGPLv2+
Summary:        C++ library for reading and writing Zip files
Group:          Development/C++
URL:            https://github.com/Zipios/Zipios
Source0:        https://github.com/Zipios/Zipios/archive/v%{version}/Zipios-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  graphviz
BuildRequires:  ImageMagick
BuildRequires:  doxygen
Obsoletes:	zipios++ < 2.2.5.0

%description
Zipios is a java.util.zip-like C++ library for reading and writing Zip files. Access to
individual entries is provided through standard C++ iostreams. A simple read-only virtual
file system that mounts regular directories and zip files is also provided.

%package -n %{libname}
Summary:        A java.util.zip-like C++ library for reading and writing Zip files
Group:          System/Libraries
Obsoletes:	%{_lib}zipios++2 < 2.2.5.0

%description -n %{libname}
Zipios is a java.util.zip-like C++ library for reading and writing Zip files. Access to
individual entries is provided through standard C++ iostreams. A simple read-only virtual
file system that mounts regular directories and zip files is also provided

%package -n %{develname}
Summary:        Header files for zipios
Group:          Development/C++
Provides:       %{name}++-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}zipios++-devel < 2.2.5.0

%description -n %{develname}
The header files are only needed for development of programs using the zipios.

%prep
%setup -qn Zipios-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/appendzip
%{_bindir}/dosdatetime
%{_bindir}/zipios

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libzipios.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/zipios/html
%{_datadir}/cmake/ZipIos/
%{_libdir}/libzipios.so
%{_mandir}/man3/*.3.*
%{_includedir}/zipios/


%changelog
* Tue Feb 11 2020 wally <wally> 2.2.5.0-1.mga8
+ Revision: 1490064
- rename as zipios
- new version 2.2.5.0

* Mon Aug 12 2019 shlomif <shlomif> 2.2.1.0-1.mga8
+ Revision: 1428898
- New version 2.2.1.0.

* Sun Sep 23 2018 umeabot <umeabot> 6.mga7-current
+ Revision: 1302057
- Mageia 7 Mass Rebuild

* Sat Sep 23 2017 cjw <cjw> 0.1.5.9-5.mga7
+ Revision: 1158310
- patch4: fix build with new cppunit

* Wed Feb 17 2016 umeabot <umeabot> 0.1.5.9-4.mga6
+ Revision: 963698
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 cjw <cjw> 0.1.5.9-3.mga6
+ Revision: 869193
- rebuild with gcc 5

* Tue Jan 13 2015 shlomif <shlomif> 0.1.5.9-2.mga5
+ Revision: 810347
- Importing zipios++ (thanks to Richard Houser)

